exporting 3D Postgis layer to shapefile loses the Z value

2015-03-15 02:16 AM - Antonio Valanzano

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20547

Description

I have noticed that when exporting from a  DB layer (PostGIS and SpatiaLite) with 3D features (i.e. PolygonZ, LinestringZ)

to a shapefile it has only x,y coordinates and not Z.

This doesn't happen with loaded 3D shapefiles which are correctly exported as 3D shapefiles.

Associated revisions

Revision 4e4743a2 - 2016-02-26 05:07 AM - Nyall Dawson

Fix saving vector layers with z dimension (fix #14006, #12373)

History

#1 - 2015-03-15 06:26 AM - Giovanni Manghi

- Category set to Vectors

- Status changed from Open to Feedback

Hi,

do you get any error message? How do you export? save as...? DB Manager?

#2 - 2015-03-16 01:48 PM - Antonio Valanzano

Giovanni Manghi wrote:

Hi,

do you get any error message? How do you export? save as...? DB Manager?

I didn't receive any error message.

I did the export using "save as" and DB Manager and the result was always the same (Z coordinate is missing)

#3 - 2015-03-17 04:06 AM - Giovanni Manghi

what about the (ogr) convert format tool in the Processing toolbox?
#4 - 2015-12-27 04:21 AM - Giovanni Manghi

- Subject changed from error in exporting 3D shapefile from DB layer to exporting 3D Postgis layer to shapefile loses the Z value

- Status changed from Feedback to Open

see also #14006

#5 - 2016-02-25 08:09 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"4e4743a2cd4d09e218a1335d8fde6b837e63c8b3".

2024-04-10 2/2


